/*
 *                 GRAPH, Version 1.00 - 4 August 1989
 *
 *            Copyright 1989, David Gay. All Rights Reserved.
 *            This software is freely redistrubatable.
 */

/* Tags for use in files */
#ifndef FILE_H
#define FILE_H

#define FILE_TAG 114 /* Variable file */
#define FILE_END 115
#define VAR_TAG 116  /* Each variable */
#define VAR_END 117
#define GRAPH_TAG 100 /* Tag to recognise graphs in files */
#define GRAPH_END 101 /* End of graph */
#define LABEL_TAG 102 /* Labels */
#define LABEL_END 103
#define FUNCTION_TAG 104 /* Functions */
#define FUNCTION_END 105
#define F_OF_X_TAG 106 /* In each function, you have one of the following */
#define F_OF_X_END 107
#define X_Y_TAG 108
#define X_Y_END 109
#define R_OF_T_TAG 110
#define R_OF_T_END 111
#define R_T_TAG 112
#define R_T_END 113

/* Read/Write raw object from file */
#define WRITE(file, what) fwrite((char *)&(what), sizeof(what), 1, (file))
#define READ(file, what) fread((char *)&(what), sizeof(what), 1, (file))

#endif
