/*
 *                 GRAPH, Version 1.00 - 4 August 1989
 *
 *            Copyright 1989, David Gay. All Rights Reserved.
 *            This software is freely redistrubatable.
 */

/* Main include file, global types, etc */
#ifndef GRAPH_H
#define GRAPH_H

#include "list.h"
#include "user/eval.h"

#define NOVAL 1.2345e308 /* This means no value (in xmin, xmax... style fields)
 !!! */
#define INOVAL -32768 /* idem, but for integer fields */
/* Lemgths of various strings */
#define VARLEN 10
#define EXPRLEN 80
#define FILELEN 256

extern list graph_list;              /* List of all graphs */
extern context vars;                 /* List of all variables */
extern const char *eval_messages[];  /* Text of eval error messages. What's it
doing here ??? */

#endif

