/*
 *                 GRAPH, Version 1.00 - 4 August 1989
 *
 *            Copyright 1989, David Gay. All Rights Reserved.
 *            This software is freely redistrubatable.
 */

/* Various graphic extensions */
#ifndef BIG_GRAPHICS_H
#define BIG_GRAPHICS_H

/* Now, where did I get this idea ??? */
struct TextExtent {
    UWORD te_Width;
    UWORD te_Height;
    struct Rectangle te_Extent;
};

/* Draw a line longer than 1008 pixels */
void BigDraw(struct RastPort *rp, long x, long y);
/* Idem, but take account of PenWidth, PenHeight (must be odd) */
void ThickDraw(struct RastPort *rp, long x, long y);
/* Only works for rastport's with no clipping */
void BigSetRast(struct RastPort *rp, long colour);
/* Determine real extent of text(-> Rectangle), return it in TextExtent ext */
void TextExtent(char *text, struct TextFont *font, struct TextExtent *ext);

#endif

