#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/errors.h>
#include <exec/lists.h>
#include <exec/io.h>
#include <exec/ports.h>
#include <exec/memory.h>

#include <intuition/preferences.h>
#include <intuition/screens.h>
#include <intuition/intuition.h>

#include <devices/timer.h>
#include <devices/printer.h>
#include <devices/serial.h>
#include <devices/clipboard.h>
#include <devices/input.h>
#include <devices/trackdisk.h>
#include <devices/inputevent.h>
#include <devices/prtgfx.h>

#include <proto/console.h>
#include <proto/diskfont.h>
#include <proto/dos.h>
#include <proto/exec.h>
#include <proto/intuition.h>
#include <proto/graphics.h>
#include <proto/icon.h>
#include <proto/layers.h>
#include <proto/timer.h>

#include <libraries/dos.h>
#include <libraries/dosextens.h>
#include <libraries/diskfont.h>

#include <workbench/startup.h>
#include <workbench/workbench.h>

#include <graphics/regions.h>
#include <graphics/gfxmacros.h>
#include <graphics/rastport.h>
#include <graphics/layers.h>
#include <graphics/gfx.h>
#include <graphics/text.h>
#include <graphics/clip.h>
